@echo off
rem ****************************************************** {COPYRIGHT-TOP} ***
rem Licensed Materials - Property of IBM
rem 5724-M07, 5698-A77
rem
rem (C) Copyright IBM Corp. 2006 All Rights Reserved.
rem
rem US Government Users Restricted Rights - Use, duplication, or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ****************************************************** {COPYRIGHT-END} ***

setlocal

set DP_WEBGUI_PORT=9090

set KD4ENV=%1
set DPHOSTNAME=%2
set DPENV=8
set KD4_RC=0
set LAUNCH_HOME=%CANDLE_HOME%\CNP\CANDLE\KD4\RESOURCES\LAUNCH
set LOGFILE=%CANDLE_HOME%\CNP\LOGS\kd4DPLaunch.log

if not "%KD4ENV%" == "%DPENV%" goto bad_env
if "%DPHOSTNAME%" == "" goto bad_hostname

set CMD=start /max https://%DPHOSTNAME%:%DP_WEBGUI_PORT%
echo %CMD% > %LOGFILE%
%CMD%

goto done


:bad_hostname
set CMD=start /max %LAUNCH_HOME%\kd4ln0002e.htm
echo %CMD% > %LOGFILE%
%CMD%
set KD4_RC=2
goto done


:bad_env

set CMD=start /max %LAUNCH_HOME%\kd4ln0001e.htm
echo %CMD% > %LOGFILE%
%CMD%
SET KD4_RC=1
goto done

:done
endlocal

set ERRORLEVEL=%KD4_RC%
